Saltar al contenido principal
GET
/
v1
/
discovery
/
connections
/
{connectionId}
Get a discovered connection
curl --request GET \
  --url https://matcher.sandbox.lerian.net/v1/discovery/connections/{connectionId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "configName": "<string>",
  "databaseType": "<string>",
  "status": "<string>",
  "schemaDiscovered": true,
  "lastSeenAt": "<string>"
}

Autorizaciones

Authorization
string
header
requerido

Bearer token authentication (format: "Bearer {token}")

Encabezados

X-Request-Id
string

A unique identifier for tracing the request across services.

Parámetros de ruta

connectionId
string
requerido

The unique identifier of the connection.

Respuesta

Connection details

A discovered Fetcher database connection

id
string

Internal identifier for the connection

configName
string

Name of the Fetcher configuration that produced this connection

databaseType
string

Type of database (e.g. postgres, mysql)

status
string

Current connection status

schemaDiscovered
boolean

Whether the table schema has been discovered for this connection

lastSeenAt
string

Timestamp when this connection was last observed in Fetcher